'use strict';


import TileData from './TileData';


interface Input {
        tiles: {[key: string]: TileData};
        collision: string[];
        layers: string[][][];
}

export default class MapData {
        tiles: {[key: string]: TileData};
        collision: string[];
        layers: string[][][];

        width: number;
        height: number;

        constructor(data: Input) {
                this.tiles = data.tiles;
                this.collision = data.collision;
                this.layers = data.layers;

                this.height = this.collision.length;
                this.width = this.collision[0].length;
        }
}
